//-------------Paths--------------------------
PATH "sounds";
PATH "music";
PATH "levels";
PATH "player";
PATH "hud";
PATH "menu";
PATH "code";
//----------

//-------------resource------------------------
resource "codes.wrs";
resource "sounds.wrs";
resource "music.wrs";
resource "levels.wrs";
resource "player.wrs";
resource "hud.wrs";
resource "menu.wrs";
//----------

//-------------save directory------------------
savedir "Saves";
//----------

//-------Include files-----------------------------
INCLUDE <start.wdl>;
INCLUDE <particle.wdl>;
INCLUDE <powerups.wdl>;
INCLUDE <details.wdl>;
INCLUDE <levels.wdl>;
INCLUDE <music.wdl>;
INCLUDE <gameplay.wdl>;
INCLUDE <menu.wdl>;
INCLUDE <starpan.wdl>;
INCLUDE <tutorial.wdl>;
//INCLUDE <tool.wdl>;
//----------

bmap intro_splash1_map,<intro_splash1.tga>;
PANEL intro_splash1_panel
{	
   bmap = intro_splash1_map;
	POS_X		 0;
	POS_Y		 0;			
	FLAGS		REFRESH,D3D;
	layer = 1;
}

bmap intro_splash2_map,<intro_splash2.tga>;
PANEL intro_splash2_panel
{	
   bmap = intro_splash2_map;
	POS_X		 0;
	POS_Y		 0;			
	FLAGS		REFRESH,D3D;
	layer = 1;
}

/////////////////////////////////////////////////////////////////
// The main() function is started at game start
function main()
{
disable_acknex_keys();
intro_splash1_panel.visible = on;
blackscrn_panel.VISIBLE = ON;
blackscrn_panel.alpha = 100;   
while(blackscrn_panel.alpha > 1)
  {
  	 IF(mouse_left || key_space) { GOTO SKIP_INTRO1;}
  	 blackscrn_panel.alpha -= 3*time;
    wait(1);	
  }  
sleep(1.2);
SKIP_INTRO1 : 
while(blackscrn_panel.alpha < 98)
  {
  	 IF(mouse_left || key_space) { GOTO SKIP_INTRO2;}
  	 blackscrn_panel.alpha += 6*time;
    wait(1);	
  }  
SKIP_INTRO2 :   
blackscrn_panel.alpha = 100;   
intro_splash1_panel.visible = off;
intro_splash2_panel.visible = on;
while(blackscrn_panel.alpha > 1)
  {
  	 IF(mouse_left || key_space) { GOTO SKIP_INTRO3;}
  	 blackscrn_panel.alpha -= 3*time;
    wait(1);	
  }  
sleep(1.2);  
SKIP_INTRO3 : 
blackscrn_panel.alpha = 1;   
blackscrn_panel.VISIBLE = OFF;
intro_splash1_panel.visible = off;
intro_splash2_panel.visible = off;
bmap_purge(intro_splash1_map);	
bmap_purge(intro_splash2_map);	

randomize();
mouse_pointer = 0;
bg_color = 2;
sun_light = 0;
fog_color = 0;
camera.fog = 0;
load_infos();
sound_vol = sound_vol_info;
midi_vol = music_vol_info;
video_switch(8,32,full_or_window_screen);	
IF(full_or_window_screen == 2)
   {
    wait(1);
    video_window(vector(112,84,0),vector(800,600,0),112,NULL);	
   }
blackscrn_panel.VISIBLE = ON;
blackscrn_panel.alpha = 0;   
mainmenu_show();
window_focus_check();
}        
//---------

//--------------------------------
function disable_acknex_keys()
{
on_esc = null;
on_f1 = null;	
on_f2 = null;	
on_f3 = null;	
on_f4 = null;	
on_f5 = null;	
on_f6 = null;	
on_f7 = null;	
on_f8 = null;	
on_f9 = null;	
on_f10 = null;	
on_f11 = null;	
on_f12 = null;	
//on_tab = null;
on_enter = null;
}
//-------
